/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.field.type;

import java.awt.Color;
import nl.cloudfarming.client.geoviewer.Palette;

/**
 * Pallete for treatment zones Needs a min and a max value
 *
 * @author Merijn Zengers
 */
public class TreatMentZonePallete extends Palette<Integer> {

    public TreatMentZonePallete(Double value) {
        super(Color.BLACK);
        //Create palettes according to the values of the treatmentzones
        // Whe create a basic 10 color range
        if (value != null) {
            if (value < 21) {
                setBaseColor(new Color(0, 0, 102));
            } else if (value < 42) {
                setBaseColor(new Color(102, 102, 204));
            } else if (value < 63) {
                setBaseColor(new Color(153, 153, 255));
            } else if (value < 84) {
                setBaseColor(new Color(65, 233, 29));
            } else if (value < 105) {
                setBaseColor(new Color(51, 204, 102));
            } else if (value < 126) {
                setBaseColor(new Color(233, 255, 129));
            } else if (value < 147) {
                setBaseColor(new Color(255, 255, 0));
            } else if (value < 168) {
                setBaseColor(new Color(252, 84, 5));
            } else if (value < 189) {
                setBaseColor(new Color(255, 0, 0));
            } else if (value <= 210) {
                setBaseColor(new Color(255, 0, 110));
            }
        }
    }
}
