/**
 * Copyright (C) 2008-2012 AgroSense Foundation.
 *
 * AgroSense is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * There are special exceptions to the terms and conditions of the GPLv3 as it is applied to
 * this software, see the FLOSS License Exception
 * <http://www.agrosense.eu/foss-exception.html>.
 *
 * AgroSense is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with AgroSense.  If not, see <http://www.gnu.org/licenses/>.
 */
package nl.cloudfarming.client.field.type.wizard;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import net.miginfocom.swing.MigLayout;
import org.openide.util.NbBundle;

@NbBundle.Messages(value={"new activity field wizard name label=Activity field name:","new activity field wizard description label=Activity field description:"})
public final class NewActivityFieldVisualPanel extends JPanel {

    /**
     * Creates new form CropProductionUnitInputPanel
     */
    public NewActivityFieldVisualPanel() {
        init();
    }

    @Override
    public String getName() {
        return "Step #1";
    }

    public JTextField getActivityFieldNameTextField() {
        return activityFieldNameTextField;
    }

    public String getActivityFieldName() {
        return activityFieldNameTextField.getText().trim();
    }

    public String getActivityFieldDescription() {
        return activityFieldDescriptionTextField.getText().trim();
    }
    private JLabel activityFieldNameLabel;
    private JTextField activityFieldNameTextField;
    private JLabel activityFieldDescriptionLabel;
    private JTextField activityFieldDescriptionTextField;

    public void init() {
        setLayout(new MigLayout("wrap 2"));
        activityFieldNameTextField = new JTextField();
        activityFieldNameTextField.setColumns(25);
        activityFieldDescriptionTextField = new JTextField();
        activityFieldDescriptionTextField.setColumns(25);

        activityFieldNameLabel = new JLabel(Bundle.new_activity_field_wizard_name_label());
        activityFieldDescriptionLabel = new JLabel(Bundle.new_activity_field_wizard_description_label());

        add(activityFieldNameLabel);
        add(activityFieldNameTextField);

        add(activityFieldDescriptionLabel);
        add(activityFieldDescriptionTextField);
    }

}
